### Class

# GimpUi ColorDisplayStack

#### Description [src]

    final class GimpUi.ColorDisplayStack : GObject.Object
    {
      /* No available fields */
    }

A stack of color correction modules.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### gimp_color_display_stack_new

Creates a new stack of color correction modules.

since: 2.0

#### Instance methods

###### gimp_color_display_stack_add

Add the color module `display` to `stack`.

since: 2.0

###### gimp_color_display_stack_changed

Emit the “changed” signal of `stack`.

since: 2.0

###### gimp_color_display_stack_clone

Creates a copy of `stack` with all its display color modules also duplicated.

since: 2.0

###### gimp_color_display_stack_convert_buffer

Runs all the stack’s filters on all pixels in `area` of `buffer`.

since: 2.10

###### gimp_color_display_stack_get_filters

Gets the list of added color modules.

since: 3.0

###### gimp_color_display_stack_remove

Remove the color module `display` from `stack`.

since: 2.0

###### gimp_color_display_stack_reorder_down

Move the color module `display` down in the filter list of `stack`.

since: 2.0

###### gimp_color_display_stack_reorder_up

Move the color module `display` up in the filter list of `stack`.

since: 2.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### GimpUi.ColorDisplayStack::added

No description available.

###### GimpUi.ColorDisplayStack::changed

No description available.

###### GimpUi.ColorDisplayStack::removed

No description available.

###### GimpUi.ColorDisplayStack::reordered

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpUiColorDisplayStackClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.